﻿@page "/schedule"
@inject IJSRuntime JSRuntime
<PageTitle>Schedule</PageTitle>
<h1>Schedule</h1>

@*Einstellen der Solltemperatur:
Der Benutzer sollte die Solltemperatur für den Wohnraum auf 15-Minuten-Intervallen genau einstellen können. 
Ein Wochenprofil ermöglicht es ihm, die Temperatur für verschiedene Zeiträume (z. B. morgens, tagsüber, abends) festzulegen.
Einstellen der Solltemperatur für den Vorlauf:
Der Benutzer sollte in der Lage sein, die Solltemperatur für den Vorlauf festzulegen.
Einstellen der Maximaltemperatur für den Vorlauf:
Der Benutzer sollte die Maximaltemperatur für den Vorlauf festlegen können. Wenn diese Maximaltemperatur überschritten wird,
sollte das Mischventil sofort geschlossen werden.
Einstellen der Dauer für das Öffnen und Schließen des Mischventils:
Je nach Mischventiltyp sollte der Benutzer die Dauer für das Öffnen und Schließen des Mischventils einstellen können.
Dies kann in Prozent der maximalen Öffnungszeit angezeigt werden.
*@



<h2>Time and Temperature Log</h2>
    <table border="1">
        <tr>
            <th>Day</th>
            <th>Time</th>
            <th>Temperature (°C)</th>
            <th>Add Entry</th>
        </tr>
        <tr>
            <td>Monday</td>
        <select id="monday-hour">
            @for (int i = 1; i <= 24; i++)
            {
                <option value="@i.ToString("D2")">@i.ToString("D2")</option>
            }
        </select>

        <select id="monday-minute">
            <option value="00">00</option>
            <option value="15">15</option>
            <option value="30">30</option>
            <option value="45">45</option>
        </select>
            <td><input type="text" id="monday-temperature" /></td>
            <td><button onclick="addRow('monday')">Add</button></td>
        </tr>

    <tr>
        <td>Tuesday</td>
        <select id="tuesday-hour">
            @for (int i = 1; i <= 24; i++)
            {
                <option value="@i.ToString("D2")">@i.ToString("D2")</option>
            }
        </select>

        <select id="tuesday-minute">
            <option value="00">00</option>
            <option value="15">15</option>
            <option value="30">30</option>
            <option value="45">45</option>
        </select>
        <td><input type="text" id="tuesday-temperature" /></td>
        <td><button onclick="addRow('tuesday')">Add</button></td>
    </tr>
    <tr>
        <td>Wednesday</td>
        <select id="wednesday-hour">
            @for (int i = 1; i <= 24; i++)
            {
                <option value="@i.ToString("D2")">@i.ToString("D2")</option>
            }
        </select>

        <select id="wednesday-minute">
            <option value="00">00</option>
            <option value="15">15</option>
            <option value="30">30</option>
            <option value="45">45</option>
        </select>
        <td><input type="text" id="wednesday-temperature" /></td>
        <td><button onclick="addRow('wednesday')">Add</button></td>
    </tr>

    <tr>
        <td>Thursday</td>
        <select id="thursday-hour">
            @for (int i = 1; i <= 24; i++)
            {
                <option value="@i.ToString("D2")">@i.ToString("D2")</option>
            }
        </select>

        <select id="thursday-minute">
            <option value="00">00</option>
            <option value="15">15</option>
            <option value="30">30</option>
            <option value="45">45</option>
        </select>
        <td><input type="text" id="thursday-temperature" /></td>
        <td><button onclick="addRow('thursday')">Add</button></td>
    </tr>
    <tr>
        <td>Friday</td>
        <select id="friday-hour">
            @for (int i = 1; i <= 24; i++)
            {
                <option value="@i.ToString("D2")">@i.ToString("D2")</option>
            }
        </select>

        <select id="friday-minute">
            <option value="00">00</option>
            <option value="15">15</option>
            <option value="30">30</option>
            <option value="45">45</option>
        </select>
        <td><input type="text" id="friday-temperature" /></td>
        <td><button onclick="addRow('friday')">Add</button></td>
    </tr>
    <tr>
        <td>Saturday</td>
        <select id="saturday-hour">
            @for (int i = 1; i <= 24; i++)
            {
                <option value="@i.ToString("D2")">@i.ToString("D2")</option>
            }
        </select>

        <select id="saturday-minute">
            <option value="00">00</option>
            <option value="15">15</option>
            <option value="30">30</option>
            <option value="45">45</option>
        </select>
        <td><input type="text" id="saturday-temperature" /></td>
        <td><button onclick="addRow('saturday')">Add</button></td>
    </tr>

    <tr>
        <td>Sunday</td>
        <select id="sunday-hour">
            @for (int i = 1; i <= 24; i++)
            {
                <option value="@i.ToString("D2")">@i.ToString("D2")</option>
            }
        </select>

        <select id="sunday-minute">
            <option value="00">00</option>
            <option value="15">15</option>
            <option value="30">30</option>
            <option value="45">45</option>
        </select>
        <td><input type="text" id="sunday-temperature" /></td>
        <td><button onclick="addRow('sunday')">Add</button></td>
    </tr>
    </table>

@code {

    private async Task AddRow(string day)
    {
        await JSRuntime.InvokeVoidAsync("addRow", day);
    }
}